# Generated by Django 2.2 on 2020-09-07 03:36

import Factor.models
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('Store', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Basket',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('count', models.PositiveSmallIntegerField(verbose_name='count of product')),
                ('send_method', models.PositiveSmallIntegerField(choices=[(0, 'physical'), (1, 'digital')], verbose_name='send method')),
                ('created', models.DateTimeField(auto_now_add=True, verbose_name='register in basket')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='baskets', to='Store.Product', verbose_name='product')),
            ],
            options={
                'verbose_name': 'basket',
                'verbose_name_plural': 'baskets',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='Purchase',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('total_price', models.PositiveSmallIntegerField(verbose_name='total price')),
                ('factor_code', models.CharField(default=Factor.models.generate_unique_code, max_length=6, unique=True, verbose_name='factor code')),
                ('tracking_code', models.CharField(blank=True, max_length=25, null=True, verbose_name='tracking code')),
                ('created', models.DateTimeField(null=True, verbose_name='register order')),
                ('status', models.BooleanField(default=False, verbose_name='status payment')),
                ('basket', models.ManyToManyField(through='Factor.Basket', to='Store.Product')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='purchases', to=settings.AUTH_USER_MODEL, verbose_name='buyer user')),
            ],
            options={
                'verbose_name': 'purchase',
                'verbose_name_plural': 'purchases',
                'ordering': ['-created'],
            },
        ),
        migrations.AddField(
            model_name='basket',
            name='purchase',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='baskets', to='Factor.Purchase', verbose_name='purchase'),
        ),
    ]
